Bug 707364

Summary: RHEL 6.0 i836 kernel update fails
Product: Cloud Image Validation Reporter: wes hayutin <whayutin>
Component: imagesAssignee: Jay Greguske <jgregusk>
Status: CLOSED NOTABUG QA Contact: wes hayutin <whayutin>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: RHEL6.0CC: kbidarka, sghai, tru
Target Milestone: ---Keywords: EC2
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-21 14:17:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description wes hayutin 2011-05-24 16:15:00 EDT
grubby fatal error: unable to find a suitable template



[whayutin@localhost ~]$ ssh -i ~/cloude-key.pem root@ec2-184-73-20-242.compute-1.amazonaws.com
[root@domU-12-31-39-01-BC-74 ~]# 
[root@domU-12-31-39-01-BC-74 ~]# 
[root@domU-12-31-39-01-BC-74 ~]# 
[root@domU-12-31-39-01-BC-74 ~]# uname -a
Linux domU-12-31-39-01-BC-74 2.6.32-71.29.1.el6.i686 #1 SMP Thu Apr 21 15:57:30 EDT 2011 i686 i686 i386 GNU/Linux
[root@domU-12-31-39-01-BC-74 ~]# rpm -q kernel
kernel-2.6.32-71.29.1.el6.i686
[root@domU-12-31-39-01-BC-74 ~]# 
[root@domU-12-31-39-01-BC-74 ~]# 
[root@domU-12-31-39-01-BC-74 ~]# yum update kernel -y
Loaded plugins: amazon-id, security
rhui-us-east-rhel-server-releases                                                             | 3.7 kB     00:00     
rhui-us-east-rhel-server-releases/primary_db                                                  | 2.3 MB     00:00     
rhui-us-east-rhel-server-updates                                                              | 1.9 kB     00:00     
rhui-us-east-rhel-server-updates/primary                                                      | 3.3 MB     00:00     
rhui-us-east-rhel-server-updates                                                                           3834/3834
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package kernel.i686 0:2.6.32-131.0.15.el6 set to be installed
--> Processing Dependency: kernel-firmware >= 2.6.32-131.0.15.el6 for package: kernel-2.6.32-131.0.15.el6.i686
--> Running transaction check
---> Package kernel-firmware.noarch 0:2.6.32-131.0.15.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================
 Package                 Arch           Version                       Repository                                Size
=====================================================================================================================
Installing:
 kernel                  i686           2.6.32-131.0.15.el6           rhui-us-east-rhel-server-updates          21 M
Updating for dependencies:
 kernel-firmware         noarch         2.6.32-131.0.15.el6           rhui-us-east-rhel-server-updates         2.5 M

Transaction Summary
=====================================================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)

Total download size: 24 M
Downloading Packages:
(1/2): kernel-2.6.32-131.0.15.el6.i686.rpm                                                    |  21 MB     00:01     
(2/2): kernel-firmware-2.6.32-131.0.15.el6.noarch.rpm                                         | 2.5 MB     00:00     
---------------------------------------------------------------------------------------------------------------------
Total                                                                                 11 MB/s |  24 MB     00:02     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : kernel-firmware-2.6.32-131.0.15.el6.noarch                                                    1/3 
  Installing     : kernel-2.6.32-131.0.15.el6.i686                                                               2/3 
grubby fatal error: unable to find a suitable template
  Cleanup        : kernel-firmware-2.6.32-71.29.1.el6.noarch                                                     3/3 

Installed:
  kernel.i686 0:2.6.32-131.0.15.el6                                                                                  

Dependency Updated:
  kernel-firmware.noarch 0:2.6.32-131.0.15.el6                                                                       

Complete!
Comment 1 wes hayutin 2011-05-24 16:27:59 EDT
RHEL-6.0-Starter-EBS-i386-11-Hourly (ami-1e3dc377)
Comment 2 Jay Greguske 2011-05-25 10:58:50 EDT
grubby (the program responsible for updating grub.conf) consults /etc/blkid/blkid.tab to find a "suitable template". Anaconda indirectly generates this file
during an install, appliance-tools does not, but we can generate it by running `blkid /dev/xvda`. I'm going to add this command to rc.local to ensure it is there after booting for cloud images.

I'm not sure why x64 does not exhibit this issue: blkid.tab is missing there too but grubby does find a template without trouble. It's harmless to run blkid on x64 systems so I'm ok with calling this "fixed".
Comment 3 wes hayutin 2011-06-21 14:17:14 EDT
additional testing bugs.. not for real tests